import { ILink } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/languages";
import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { IRequestHandler, IWorkerServer } from "@codingame/monaco-vscode-api/vscode/vs/base/common/worker/simpleWorker";
export interface IResourceCreator {
    toResource: (folderRelativePath: string) => URI | null;
}
export declare class OutputLinkComputer implements IRequestHandler {
    _requestHandlerBrand: any;
    private readonly workerTextModelSyncServer;
    private patterns;
    constructor(workerServer: IWorkerServer);
    $setWorkspaceFolders(workspaceFolders: string[]): void;
    private computePatterns;
    private getModel;
    $computeLinks(uri: string): ILink[];
    static createPatterns(workspaceFolder: URI): RegExp[];
    static detectLinks(line: string, lineIndex: number, patterns: RegExp[], resourceCreator: IResourceCreator): ILink[];
}
export declare function create(workerServer: IWorkerServer): OutputLinkComputer;
